Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.natives
Class IoctlImpl

    java.lang.Object
      com.sun.squawk.platform.posix.natives.IoctlImpl

All Implemented Interfaces:
  Library, Ioctl

Direct Known Subclasses:
  IoctlImpl, IoctlImpl, IoctlImpl, IoctlImpl

    public abstract class IoctlImpl

extends Object
implements Ioctl

Field Summary

Fields inherited from interface com.sun.squawk.platform.posix.natives.Ioctl
`FIOASYNC, FIOCLEX, FIOGETOWN, FIONBIO, FIONCLEX, FIONREAD, FIOSETOWN, INSTANCE`

Constructor Summary
`IoctlImpl()`

Method Summary
`int` | `ioctl(int arg0, int arg1, int arg2)` Perform IO control operation `request` on device `fd`.
`int` | `ioctl(int arg0, int arg1, IntByReference arg2)` Perform IO control operation `request` on device `fd`.
`int` | `ioctl(int arg0, int arg1, int arg2, int arg3)` Perorm IO control operation `request` on device `fd`.
`int` | `ioctl(int arg0, int arg1, int arg2, int arg3, int arg4)` Perorm IO control operation `request` on device `fd`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.cldc.jna.Library
`initConstInt`

Constructor Detail

### IoctlImpl

    public IoctlImpl()

Method Detail

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2,
                     int arg3,
                     int arg4)

  Description copied from interface: `Ioctl`
  Perorm IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     IntByReference arg2)

  Description copied from interface: `Ioctl`
  Perform IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
    `arg2` - pointer to int
  Returns:
    -1 on error

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2,
                     int arg3)

  Description copied from interface: `Ioctl`
  Perorm IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

### ioctl

    public int ioctl(int arg0,
                     int arg1,
                     int arg2)

  Description copied from interface: `Ioctl`
  Perform IO control operation `request` on device `fd`.

  Specified by:
    `ioctl` in interface `Ioctl`
  Parameters:
    `arg0` - an open file descriptor
    `arg1` - am encded value containing the requested operation and the arguments
  Returns:
    -1 on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"